## python-social-auth 0.1.23+gita65b385769

=== requirements.txt ===
python-openid>=2.2
requests>=1.1.0
oauthlib>=0.3.8
requests-oauthlib>=0.3.0
six>=1.2.0

=== examples/django_me_example/requirements.txt ===
django>=1.4
mongoengine==0.8.4
python-social-auth

=== social/tests/requirements.txt ===
httpretty==0.6.5
coverage>=3.6
mock==1.0.1
nose>=1.2.1
requests>=1.1.0
sure==1.2.3

=== debian/changelog ===
python-social-auth (0.1.23+gita65b385769-1) unstable; urgency=low

  * Initial release. (Closes: #743022)
  * Latest upstream snapshot, includes some bug fixes.
  * Added myself as uploader, added git repo.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 26 Apr 2014 10:42:59 +0000

python-social-auth (0.1.23-1) unstable; urgency=medium

  * Initial release. (Closes: #743022)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 03 Apr 2014 20:50:31 +0900

=== debian/control ===
Source: python-social-auth
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7)
Standards-Version: 3.9.5
Uploaders: W. Martin Borgert <debacle@debian.org>
Homepage: http://psa.matiasaguirre.net
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-social-auth.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-social-auth.git

Package: python-social-auth
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python social authentication made simple
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.

## python-social-auth 0.2.1

=== Makefile ===
docs:
	sphinx-build docs/ docs/_build/

site: docs
	rsync -avkz site/ tarf:sites/psa/

.PHONY: site docs

=== requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 oauthlib>=0.3.8
 requests-oauthlib>=0.3.0
 six>=1.2.0
+PyJWT==0.2.1

=== examples/django_me_example/requirements.txt ===
django>=1.4
mongoengine>=0.8.6
python-social-auth

=== examples/flask_example/requirements.txt ===
Flask
Flask-SQLAlchemy
Flask-Login
Flask-Script
Werkzeug
pysqlite
Jinja2

=== social/tests/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 nose>=1.2.1
 requests>=1.1.0
 sure==1.2.3
+PyJWT==0.2.1

=== debian/changelog ===
python-social-auth (0.2.1-2) unstable; urgency=low

  * Fix build-deps (closes: #764986)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 12 Oct 2014 20:13:26 +0000

python-social-auth (0.2.1-1) unstable; urgency=low

  * new upstream release (closes: #764767)
  * add Python 3 package
  * team maintenance
  * new policy, no changes

 -- W. Martin Borgert <debacle@debian.org>  Fri, 10 Oct 2014 21:50:24 +0000

=== debian/control ===
Source: python-social-auth
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 9), python3-all, python3-setuptools, dh-python, python-sphinx, python3-sphinx
Standards-Version: 3.9.6
Uploaders: KURASHIKI Satoru <lurdan@gmail.com>, W. Martin Borgert <debacle@debian.org>
Homepage: http://psa.matiasaguirre.net
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-social-auth.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-social-auth.git

Package: python-social-auth
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Description: Python social authentication made simple
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.
 .
 This package provides the Python 2.x module.

Package: python3-social-auth
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Python social authentication made simple
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=social-auth
# testing disabled for now, because it insists on an older version of nose
export PYBUILD_DISABLE=test

# prevent setuptools/distribute from accessing the internet
export http_proxy = http://127.0.9.1:9
export https_proxy = https://127.0.9.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	cd docs/ ; $(MAKE) text
	dh_installdocs

=== debian/watch ===
version=3

https://github.com/omab/python-social-auth/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-social-auth 0.2.13

=== requirements.txt ===
python-openid>=2.2
requests>=2.5.1
oauthlib>=0.3.8
requests-oauthlib>=0.3.1
six>=1.2.0
PyJWT>=1.0.0

=== examples/pyramid_example/requirements.txt ===
python-social-auth
pyramid

=== social/tests/requirements.txt ===
httpretty==0.6.5
coverage>=3.6
mock==1.0.1
nose>=1.2.1
rednose>=0.4.1
requests>=1.1.0
PyJWT>=1.0.0,<2.0.0
unittest2==0.5.1
python-saml==2.1.3

=== debian/changelog ===
python-social-auth (0.2.13-1) unstable; urgency=low

  * new upstream release (closes: #804842)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 14 Nov 2015 22:44:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 3.9.6
 Uploaders: KURASHIKI Satoru <lurdan@gmail.com>, W. Martin Borgert <debacle@debian.org>
 Homepage: http://psa.matiasaguirre.net
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-social-auth.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-social-auth.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-social-auth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-social-auth.git
 
 Package: python-social-auth
 Architecture: all

=== debian/watch ===
version=3
https://github.com/omab/python-social-auth/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-social-auth 0.2.19+dfsg

=== debian/changelog ===
python-social-auth (0.2.19+dfsg-2) unstable; urgency=medium

  * Use local intersphinx link (Closes: #830608).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 26 Jul 2016 10:22:44 +0000

python-social-auth (0.2.19+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Tiago Ilieve ]
  * New upstream release.
  * Add newline at end of file for 'debian/source/options'.
  * Add 'python-social-auth-doc' binary package with HTML documentation:
    - Drop 'python-social-auth.docs' and 'python3-social-auth.docs'.
    - Register its documents with 'doc-base'.
  * Drop '0001-append-uncompressed-bootstrap-as-its-source.patch', as upstream
    website files were removed.
  * debian/clean:
    - Add file, fixing "binary file contents changed" error after building the
      documentation twice.
  * debian/compat: bump from 7 to 9.
  * debian/control:
    - Add myself to Uploaders.
    - Add 'python-social-auth-doc' as 'python-social-auth' and
    'python3-social-auth' suggested package.
    - Bump 'Standards-Version' to 3.9.8 (no changes needed).
    - Fix 'duplicate-short-description' lintian warning.
    - Run 'wrap-and-sort'.
    - Set 'Vcs-Browser' URL to the be same as 'Vcs-Git'.
    - Shorten 'python-all' in 'Build-Depends', removing version (>= 2.7~).
  * debian/copyright:
    - Add Expat License.
    - Add 'Files-Excluded' field to remove upstream website files which
    contained minified JavaScript without its respective sources.
    - Add Microsoft Open Technologies, Inc.
    - Add W. Martin Borgert and me for 'debian/*'.
    - Bump years for KURASHIKI Satoru and Matías Aguirre.
    - Drop Twitter, Inc.
    - Remove Apache-2.0 paragraph which was used only by Twitter, Inc.
    - Remove trailing whitespaces.
    - Sort licenses texts by name.
    - Vertical align multiple files/years.
  * debian/rules:
    - Build documentation as HTML instead of text.
    - Change 'override_dh_installdocs' to 'override_dh_auto_build'.
    - Remove embedded JS files from documentation.
  * debian/watch: add 'dversionmangle' and 'repacksuffix' for '+dfsg' suffix.

  [ Dmitry Shachnev ]
  * Use dh_sphinxdoc to symlink static JS files in the documentation.
  * Stop exporting http(s)_proxy, that is set by pybuild.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Mon, 30 May 2016 02:37:33 -0300

## python-social-auth 0.2.21%2Bdfsg

=== requirements.txt ===
python-openid>=2.2.5
requests>=2.9.1
oauthlib>=1.0.3
requests-oauthlib>=0.6.1
six>=1.10.0
PyJWT>=1.4.0

## python-social-auth 0.2.21+dfsg

=== examples/flask_example/requirements.txt ===
Flask
Flask-Login
Flask-Script
Werkzeug
pysqlite
Jinja2

=== examples/flask_peewee_example/requirements.txt ===
Peewee
Flask
Flask-Login
Flask-Script
Werkzeug
pysqlite
Jinja2

=== debian/changelog ===
python-social-auth (1:0.2.21+dfsg-1) unstable; urgency=medium

  * New (or not so new) upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 09 Jan 2017 23:45:27 +0000

python-social-auth (1:0.2.19+dfsg-3) unstable; urgency=high

  * Revert latest version. Brown paper bag. (Closes: #850246)
    Using epoch plus Debian version "-3" because of #645895.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 06 Jan 2017 00:00:55 +0000

python-social-auth (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add documentation files from upstream git.
  * Note: This library is now deprecated in favour of a new,
    modular code base. Too late for stretch, sorry!

 -- W. Martin Borgert <debacle@debian.org>  Sat, 24 Dec 2016 13:06:03 +0000

=== debian/control ===
Source: python-social-auth
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: KURASHIKI Satoru <lurdan@gmail.com>,
           W. Martin Borgert <debacle@debian.org>,
           Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-doc,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Homepage: http://psa.matiasaguirre.net
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-social-auth.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-social-auth.git

Package: python-social-auth
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-social-auth-doc
Description: Python social authentication made simple (Python 2)
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.
 .
 This package provides the Python 2.x module.

Package: python3-social-auth
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-social-auth-doc
Description: Python social authentication made simple (Python 3)
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.
 .
 This package provides the Python 3.x module.

Package: python-social-auth-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python social authentication made simple (Documentation)
 Python Social Auth is an easy-to-setup social authentication/registration
 mechanism with support for several frameworks and auth providers.
 .
 Crafted using base code from django-social-auth, it implements a common
 interface to define new authentication providers from third parties,
 and to bring support for more frameworks and ORMs.
 .
 This package provides the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=social-auth
# testing disabled for now, because it insists on an older version of nose
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs/ ; $(MAKE) html

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
  https://github.com/omab/python-social-auth/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-social-auth 0.3.0

=== Makefile ===
build:
	python setup.py sdist
	python setup.py bdist_wheel --python-tag py2
	BUILD_VERSION=3 python setup.py bdist_wheel --python-tag py3

publish:
	python setup.py sdist upload
	python setup.py bdist_wheel --python-tag py2 upload
	BUILD_VERSION=3 python setup.py bdist_wheel --python-tag py3 upload

docker-tox-build:
	@ docker build -t omab/psa-legacy .

docker-tox: docker-tox-build
	@ docker run -it --rm \
		     --name psa-legacy-test \
		     -v "`pwd`:/code" \
		     -w /code omab/psa-legacy tox

clean:
	@ find . -name '*.py[co]' -delete
	@ find . -name '__pycache__' -delete
	@ rm -rf *.egg-info dist build
